Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.remote
Class LobDomainInputStream

`java.lang.Object
java.io.InputStream
oracle.jbo.client.remote.LobDomainInputStream`

public class LobDomainInputStream
extends java.io.InputStream

The AttributeDefHelper class implement the AttributeDef interface

Version:
  INTERNAL
See Also:
  `RowImpl`

Constructor Summary
`LobDomainInputStream(Transaction am, DomainOwnerInterface row, java.lang.String id)`

Method Summary
`void` | `close()`
`int` | `read()`
`int` | `read(byte[] b, int off, int len)`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LobDomainInputStream

    public LobDomainInputStream(Transaction am,
                                DomainOwnerInterface row,
                                java.lang.String id)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.